import selector_default from "../selector.js";
import { Selection } from "./index.js";
function select_default(n) {
	typeof n != "function" && (n = selector_default(n));
	for (var r = this._groups, i = r.length, a = Array(i), o = 0; o < i; ++o) for (var s = r[o], c = s.length, l = a[o] = Array(c), u, d, f = 0; f < c; ++f) (u = s[f]) && (d = n.call(u, u.__data__, f, s)) && ("__data__" in u && (d.__data__ = u.__data__), l[f] = d);
	return new Selection(a, this._parents);
}
export { select_default as default };
